#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00000C60, "_module_flags");
  MakeDword(0x00000C60);
  MakeName(0x00000C64, "_module_name");
  MakeStr(0x00000C64, BADADDR);
  MakeName(0x00000C80, "_module_gp");
  MakeDword(0x00000C80);
  MakeName(0x00000C84, "_module_exports");
  MakeDword(0x00000C84);
  OpOff(0x00000C84, 0, 0);
  MakeName(0x00000C88, "_module_exp_end");
  MakeDword(0x00000C88);
  OpOff(0x00000C88, 0, 0);
  MakeName(0x00000C8C, "_module_imports");
  MakeDword(0x00000C8C);
  OpOff(0x00000C8C, 0, 0);
  MakeName(0x00000C90, "_module_imp_end");
  MakeDword(0x00000C90);
  OpOff(0x00000C90, 0, 0);
}

static createImports() {
  MakeName(0x00000C1C, "import0");
  MakeDword(0x00000C1C);
  OpOff(0x00000C1C, 0, 0);
  MakeName(0x00000C98, "import0_name");
  MakeStr(0x00000C98, BADADDR);
  MakeName(0x00000C20, "import0_flags");
  MakeDword(0x00000C20);
  MakeName(0x00000C24, "import0_counts");
  MakeDword(0x00000C24);
  MakeName(0x00000C28, "import0_nids");
  MakeDword(0x00000C28);
  OpOff(0x00000C28, 0, 0);
  MakeName(0x00000C2C, "import0_funcs");
  MakeDword(0x00000C2C);
  OpOff(0x00000C2C, 0, 0);
  MakeName(0x00000D98, "import0_sceKernelRegisterSysEventHandler");
  MakeDword(0x00000D98);
  MakeName(0x00000BB8, "sceKernelRegisterSysEventHandler");
  MakeFunction(0x00000BB8, BADADDR);
  MakeName(0x00000D9C, "import0_sceKernelUnregisterSysEventHandler");
  MakeDword(0x00000D9C);
  MakeName(0x00000BC0, "sceKernelUnregisterSysEventHandler");
  MakeFunction(0x00000BC0, BADADDR);
  MakeName(0x00000C30, "import1");
  MakeDword(0x00000C30);
  OpOff(0x00000C30, 0, 0);
  MakeName(0x00000CB4, "import1_name");
  MakeStr(0x00000CB4, BADADDR);
  MakeName(0x00000C34, "import1_flags");
  MakeDword(0x00000C34);
  MakeName(0x00000C38, "import1_counts");
  MakeDword(0x00000C38);
  MakeName(0x00000C3C, "import1_nids");
  MakeDword(0x00000C3C);
  OpOff(0x00000C3C, 0, 0);
  MakeName(0x00000C40, "import1_funcs");
  MakeDword(0x00000C40);
  OpOff(0x00000C40, 0, 0);
  MakeName(0x00000D90, "import1_sceKernelCpuSuspendIntr");
  MakeDword(0x00000D90);
  MakeName(0x00000BA8, "sceKernelCpuSuspendIntr");
  MakeFunction(0x00000BA8, BADADDR);
  MakeName(0x00000D94, "import1_sceKernelCpuResumeIntr");
  MakeDword(0x00000D94);
  MakeName(0x00000BB0, "sceKernelCpuResumeIntr");
  MakeFunction(0x00000BB0, BADADDR);
  MakeName(0x00000C48, "import2");
  MakeDword(0x00000C48);
  OpOff(0x00000C48, 0, 0);
  MakeName(0x00000CD4, "import2_name");
  MakeStr(0x00000CD4, BADADDR);
  MakeName(0x00000C4C, "import2_flags");
  MakeDword(0x00000C4C);
  MakeName(0x00000C50, "import2_counts");
  MakeDword(0x00000C50);
  MakeName(0x00000C54, "import2_nids");
  MakeDword(0x00000C54);
  OpOff(0x00000C54, 0, 0);
  MakeName(0x00000C58, "import2_funcs");
  MakeDword(0x00000C58);
  OpOff(0x00000C58, 0, 0);
  MakeName(0x00000DA0, "import2_sceSysregLcdcClkEnable");
  MakeDword(0x00000DA0);
  MakeName(0x00000BC8, "sceSysregLcdcClkEnable");
  MakeFunction(0x00000BC8, BADADDR);
  MakeName(0x00000DA4, "import2_sceSysregLcdcClkDisable");
  MakeDword(0x00000DA4);
  MakeName(0x00000BD0, "sceSysregLcdcClkDisable");
  MakeFunction(0x00000BD0, BADADDR);
  MakeName(0x00000DA8, "import2_sceSysregLcdcClkSelect");
  MakeDword(0x00000DA8);
  MakeName(0x00000BD8, "sceSysregLcdcClkSelect");
  MakeFunction(0x00000BD8, BADADDR);
  MakeName(0x00000DAC, "import2_sceSysregLcdcIoEnable");
  MakeDword(0x00000DAC);
  MakeName(0x00000BE0, "sceSysregLcdcIoEnable");
  MakeFunction(0x00000BE0, BADADDR);
  MakeName(0x00000DB0, "import2_sceSysregLcdcIoDisable");
  MakeDword(0x00000DB0);
  MakeName(0x00000BE8, "sceSysregLcdcIoDisable");
  MakeFunction(0x00000BE8, BADADDR);
}

static createExports() {
  MakeName(0x00000BF4, "export_0");
  MakeDword(0x00000BF4);
  MakeName(0x00000BF8, "export_0_flags");
  MakeDword(0x00000BF8);
  MakeName(0x00000BFC, "export_0_counts");
  MakeDword(0x00000BFC);
  MakeName(0x00000C00, "export_0_exports");
  MakeDword(0x00000C00);
  OpOff(0x00000C00, 0, 0);
  MakeName(0x00000CE8, "export_0_module_start");
  MakeDword(0x00000CE8);
  MakeName(0x00000CF4, "");
  MakeDword(0x00000CF4);
  OpOff(0x00000CF4, 0, 0);
  MakeName(0x00000528, "module_start");
  MakeFunction(0x00000528, BADADDR);
  MakeName(0x00000CEC, "export_0_module_reboot_before");
  MakeDword(0x00000CEC);
  MakeName(0x00000CF8, "");
  MakeDword(0x00000CF8);
  OpOff(0x00000CF8, 0, 0);
  MakeName(0x000006B0, "module_reboot_before");
  MakeFunction(0x000006B0, BADADDR);
  MakeName(0x00000CF0, "export_0_module_info");
  MakeDword(0x00000CF0);
  MakeName(0x00000CFC, "");
  MakeDword(0x00000CFC);
  OpOff(0x00000CFC, 0, 0);
  MakeName(0x00000C04, "export_1");
  MakeDword(0x00000C04);
  OpOff(0x00000C04, 0, 0);
  MakeName(0x00000D00, "export_1_name");
  MakeStr(0x00000D00, BADADDR);
  MakeName(0x00000C08, "export_1_flags");
  MakeDword(0x00000C08);
  MakeName(0x00000C0C, "export_1_counts");
  MakeDword(0x00000C0C);
  MakeName(0x00000C10, "export_1_exports");
  MakeDword(0x00000C10);
  OpOff(0x00000C10, 0, 0);
  MakeName(0x00000D10, "export_1_sceLcdcInit");
  MakeDword(0x00000D10);
  MakeName(0x00000D50, "");
  MakeDword(0x00000D50);
  OpOff(0x00000D50, 0, 0);
  MakeName(0x000006D4, "sceLcdcInit");
  MakeFunction(0x000006D4, BADADDR);
  MakeName(0x00000D14, "export_1_sceLcdcEnd");
  MakeDword(0x00000D14);
  MakeName(0x00000D54, "");
  MakeDword(0x00000D54);
  OpOff(0x00000D54, 0, 0);
  MakeName(0x0000085C, "sceLcdcEnd");
  MakeFunction(0x0000085C, BADADDR);
  MakeName(0x00000D18, "export_1_sceLcdcSuspend");
  MakeDword(0x00000D18);
  MakeName(0x00000D58, "");
  MakeDword(0x00000D58);
  OpOff(0x00000D58, 0, 0);
  MakeName(0x00000880, "sceLcdcSuspend");
  MakeFunction(0x00000880, BADADDR);
  MakeName(0x00000D1C, "export_1_sceLcdcResume");
  MakeDword(0x00000D1C);
  MakeName(0x00000D5C, "");
  MakeDword(0x00000D5C);
  OpOff(0x00000D5C, 0, 0);
  MakeName(0x00000000, "sceLcdcResume");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x00000D20, "export_1_sceLcdcEnable");
  MakeDword(0x00000D20);
  MakeName(0x00000D60, "");
  MakeDword(0x00000D60);
  OpOff(0x00000D60, 0, 0);
  MakeName(0x000008A8, "sceLcdcEnable");
  MakeFunction(0x000008A8, BADADDR);
  MakeName(0x00000D24, "export_1_sceLcdcDisable");
  MakeDword(0x00000D24);
  MakeName(0x00000D64, "");
  MakeDword(0x00000D64);
  OpOff(0x00000D64, 0, 0);
  MakeName(0x000008D4, "sceLcdcDisable");
  MakeFunction(0x000008D4, BADADDR);
  MakeName(0x00000D28, "export_1_sceLcdcCheckMode");
  MakeDword(0x00000D28);
  MakeName(0x00000D68, "");
  MakeDword(0x00000D68);
  OpOff(0x00000D68, 0, 0);
  MakeName(0x00000144, "sceLcdcCheckMode");
  MakeFunction(0x00000144, BADADDR);
  MakeName(0x00000D2C, "export_1_sceLcdcSetMode");
  MakeDword(0x00000D2C);
  MakeName(0x00000D6C, "");
  MakeDword(0x00000D6C);
  OpOff(0x00000D6C, 0, 0);
  MakeName(0x000001F4, "sceLcdcSetMode");
  MakeFunction(0x000001F4, BADADDR);
  MakeName(0x00000D30, "export_1_sceLcdcReset");
  MakeDword(0x00000D30);
  MakeName(0x00000D70, "");
  MakeDword(0x00000D70);
  OpOff(0x00000D70, 0, 0);
  MakeName(0x000008FC, "sceLcdcReset");
  MakeFunction(0x000008FC, BADADDR);
  MakeName(0x00000D34, "export_1_sceLcdcGetPixelClockFreq");
  MakeDword(0x00000D34);
  MakeName(0x00000D74, "");
  MakeDword(0x00000D74);
  OpOff(0x00000D74, 0, 0);
  MakeName(0x0000093C, "sceLcdcGetPixelClockFreq");
  MakeFunction(0x0000093C, BADADDR);
  MakeName(0x00000D38, "export_1_sceLcdcGetHsyncFreq");
  MakeDword(0x00000D38);
  MakeName(0x00000D78, "");
  MakeDword(0x00000D78);
  OpOff(0x00000D78, 0, 0);
  MakeName(0x000009B4, "sceLcdcGetHsyncFreq");
  MakeFunction(0x000009B4, BADADDR);
  MakeName(0x00000D3C, "export_1_sceLcdcGetVsyncFreq");
  MakeDword(0x00000D3C);
  MakeName(0x00000D7C, "");
  MakeDword(0x00000D7C);
  OpOff(0x00000D7C, 0, 0);
  MakeName(0x00000A5C, "sceLcdcGetVsyncFreq");
  MakeFunction(0x00000A5C, BADADDR);
  MakeName(0x00000D40, "export_1_sceLcdc_driver_551C5BC3");
  MakeDword(0x00000D40);
  MakeName(0x00000D80, "");
  MakeDword(0x00000D80);
  OpOff(0x00000D80, 0, 0);
  MakeName(0x000003E4, "sceLcdc_driver_551C5BC3");
  MakeFunction(0x000003E4, BADADDR);
  MakeName(0x00000D44, "export_1_sceLcdcReadHPC");
  MakeDword(0x00000D44);
  MakeName(0x00000D84, "");
  MakeDword(0x00000D84);
  OpOff(0x00000D84, 0, 0);
  MakeName(0x00000470, "sceLcdcReadHPC");
  MakeFunction(0x00000470, BADADDR);
  MakeName(0x00000D48, "export_1_sceLcdcReadVPC");
  MakeDword(0x00000D48);
  MakeName(0x00000D88, "");
  MakeDword(0x00000D88);
  OpOff(0x00000D88, 0, 0);
  MakeName(0x000004CC, "sceLcdcReadVPC");
  MakeFunction(0x000004CC, BADADDR);
  MakeName(0x00000D4C, "export_1_sceLcdc_driver_E08B076B");
  MakeDword(0x00000D4C);
  MakeName(0x00000D8C, "");
  MakeDword(0x00000D8C);
  OpOff(0x00000D8C, 0, 0);
  MakeName(0x00000B28, "sceLcdc_driver_E08B076B");
  MakeFunction(0x00000B28, BADADDR);
}

static createRelocs() {
}

