#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x000004F4, "_module_flags");
  MakeDword(0x000004F4);
  MakeName(0x000004F8, "_module_name");
  MakeStr(0x000004F8, BADADDR);
  MakeName(0x00000514, "_module_gp");
  MakeDword(0x00000514);
  MakeName(0x00000518, "_module_exports");
  MakeDword(0x00000518);
  OpOff(0x00000518, 0, 0);
  MakeName(0x0000051C, "_module_exp_end");
  MakeDword(0x0000051C);
  OpOff(0x0000051C, 0, 0);
  MakeName(0x00000520, "_module_imports");
  MakeDword(0x00000520);
  OpOff(0x00000520, 0, 0);
  MakeName(0x00000524, "_module_imp_end");
  MakeDword(0x00000524);
  OpOff(0x00000524, 0, 0);
}

static createImports() {
  MakeName(0x000004DC, "import0");
  MakeDword(0x000004DC);
  OpOff(0x000004DC, 0, 0);
  MakeName(0x0000052C, "import0_name");
  MakeStr(0x0000052C, BADADDR);
  MakeName(0x000004E0, "import0_flags");
  MakeDword(0x000004E0);
  MakeName(0x000004E4, "import0_counts");
  MakeDword(0x000004E4);
  MakeName(0x000004E8, "import0_nids");
  MakeDword(0x000004E8);
  OpOff(0x000004E8, 0, 0);
  MakeName(0x000004EC, "import0_funcs");
  MakeDword(0x000004EC);
  OpOff(0x000004EC, 0, 0);
  MakeName(0x000005E8, "import0_sceIoClose");
  MakeDword(0x000005E8);
  MakeName(0x00000468, "sceIoClose");
  MakeFunction(0x00000468, BADADDR);
  MakeName(0x000005EC, "import0_sceIoOpen");
  MakeDword(0x000005EC);
  MakeName(0x00000470, "sceIoOpen");
  MakeFunction(0x00000470, BADADDR);
  MakeName(0x000005F0, "import0_sceIoRead");
  MakeDword(0x000005F0);
  MakeName(0x00000478, "sceIoRead");
  MakeFunction(0x00000478, BADADDR);
  MakeName(0x000005F4, "import0_sceIoWrite");
  MakeDword(0x000005F4);
  MakeName(0x00000480, "sceIoWrite");
  MakeFunction(0x00000480, BADADDR);
  MakeName(0x000005F8, "import0_sceIoLseek");
  MakeDword(0x000005F8);
  MakeName(0x00000488, "sceIoLseek");
  MakeFunction(0x00000488, BADADDR);
  MakeName(0x000005FC, "import0_sceIoGetstat");
  MakeDword(0x000005FC);
  MakeName(0x00000490, "sceIoGetstat");
  MakeFunction(0x00000490, BADADDR);
}

static createExports() {
  MakeName(0x000004A4, "export_0");
  MakeDword(0x000004A4);
  MakeName(0x000004A8, "export_0_flags");
  MakeDword(0x000004A8);
  MakeName(0x000004AC, "export_0_counts");
  MakeDword(0x000004AC);
  MakeName(0x000004B0, "export_0_exports");
  MakeDword(0x000004B0);
  OpOff(0x000004B0, 0, 0);
  MakeName(0x00000540, "export_0_module_stop");
  MakeDword(0x00000540);
  MakeName(0x0000054C, "");
  MakeDword(0x0000054C);
  OpOff(0x0000054C, 0, 0);
  MakeName(0x00000398, "module_stop");
  MakeFunction(0x00000398, BADADDR);
  MakeName(0x00000544, "export_0_module_reboot_before");
  MakeDword(0x00000544);
  MakeName(0x00000550, "");
  MakeDword(0x00000550);
  OpOff(0x00000550, 0, 0);
  MakeName(0x00000400, "module_reboot_before");
  MakeFunction(0x00000400, BADADDR);
  MakeName(0x00000548, "export_0_module_info");
  MakeDword(0x00000548);
  MakeName(0x00000554, "");
  MakeDword(0x00000554);
  OpOff(0x00000554, 0, 0);
  MakeName(0x000004B4, "export_1");
  MakeDword(0x000004B4);
  OpOff(0x000004B4, 0, 0);
  MakeName(0x00000558, "export_1_name");
  MakeStr(0x00000558, BADADDR);
  MakeName(0x000004B8, "export_1_flags");
  MakeDword(0x000004B8);
  MakeName(0x000004BC, "export_1_counts");
  MakeDword(0x000004BC);
  MakeName(0x000004C0, "export_1_exports");
  MakeDword(0x000004C0);
  OpOff(0x000004C0, 0, 0);
  MakeName(0x00000570, "export_1_sceHttpStorageEnd");
  MakeDword(0x00000570);
  MakeName(0x0000058C, "");
  MakeDword(0x0000058C);
  OpOff(0x0000058C, 0, 0);
  MakeName(0x00000398, "sceHttpStorageEnd");
  MakeFunction(0x00000398, BADADDR);
  MakeName(0x00000574, "export_1_sceHttpStorageOpen");
  MakeDword(0x00000574);
  MakeName(0x00000590, "");
  MakeDword(0x00000590);
  OpOff(0x00000590, 0, 0);
  MakeName(0x00000000, "sceHttpStorageOpen");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x00000578, "export_1_sceHttpStorageClose");
  MakeDword(0x00000578);
  MakeName(0x00000594, "");
  MakeDword(0x00000594);
  OpOff(0x00000594, 0, 0);
  MakeName(0x00000100, "sceHttpStorageClose");
  MakeFunction(0x00000100, BADADDR);
  MakeName(0x0000057C, "export_1_sceHttpStorageRead");
  MakeDword(0x0000057C);
  MakeName(0x00000598, "");
  MakeDword(0x00000598);
  OpOff(0x00000598, 0, 0);
  MakeName(0x00000180, "sceHttpStorageRead");
  MakeFunction(0x00000180, BADADDR);
  MakeName(0x00000580, "export_1_sceHttpStorageWrite");
  MakeDword(0x00000580);
  MakeName(0x0000059C, "");
  MakeDword(0x0000059C);
  OpOff(0x0000059C, 0, 0);
  MakeName(0x00000214, "sceHttpStorageWrite");
  MakeFunction(0x00000214, BADADDR);
  MakeName(0x00000584, "export_1_sceHttpStorageLseek");
  MakeDword(0x00000584);
  MakeName(0x000005A0, "");
  MakeDword(0x000005A0);
  OpOff(0x000005A0, 0, 0);
  MakeName(0x000002A8, "sceHttpStorageLseek");
  MakeFunction(0x000002A8, BADADDR);
  MakeName(0x00000588, "export_1_sceHttpStorageGetstat");
  MakeDword(0x00000588);
  MakeName(0x000005A4, "");
  MakeDword(0x000005A4);
  OpOff(0x000005A4, 0, 0);
  MakeName(0x00000318, "sceHttpStorageGetstat");
  MakeFunction(0x00000318, BADADDR);
  MakeName(0x000004C4, "export_2");
  MakeDword(0x000004C4);
  OpOff(0x000004C4, 0, 0);
  MakeName(0x000005A8, "export_2_name");
  MakeStr(0x000005A8, BADADDR);
  MakeName(0x000004C8, "export_2_flags");
  MakeDword(0x000004C8);
  MakeName(0x000004CC, "export_2_counts");
  MakeDword(0x000004CC);
  MakeName(0x000004D0, "export_2_exports");
  MakeDword(0x000004D0);
  OpOff(0x000004D0, 0, 0);
  MakeName(0x000005B8, "export_2_sceHttpStorageOpen");
  MakeDword(0x000005B8);
  MakeName(0x000005D0, "");
  MakeDword(0x000005D0);
  OpOff(0x000005D0, 0, 0);
  MakeName(0x00000000, "sceHttpStorageOpen");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x000005BC, "export_2_sceHttpStorageClose");
  MakeDword(0x000005BC);
  MakeName(0x000005D4, "");
  MakeDword(0x000005D4);
  OpOff(0x000005D4, 0, 0);
  MakeName(0x00000100, "sceHttpStorageClose");
  MakeFunction(0x00000100, BADADDR);
  MakeName(0x000005C0, "export_2_sceHttpStorageRead");
  MakeDword(0x000005C0);
  MakeName(0x000005D8, "");
  MakeDword(0x000005D8);
  OpOff(0x000005D8, 0, 0);
  MakeName(0x00000180, "sceHttpStorageRead");
  MakeFunction(0x00000180, BADADDR);
  MakeName(0x000005C4, "export_2_sceHttpStorageWrite");
  MakeDword(0x000005C4);
  MakeName(0x000005DC, "");
  MakeDword(0x000005DC);
  OpOff(0x000005DC, 0, 0);
  MakeName(0x00000214, "sceHttpStorageWrite");
  MakeFunction(0x00000214, BADADDR);
  MakeName(0x000005C8, "export_2_sceHttpStorageLseek");
  MakeDword(0x000005C8);
  MakeName(0x000005E0, "");
  MakeDword(0x000005E0);
  OpOff(0x000005E0, 0, 0);
  MakeName(0x000002A8, "sceHttpStorageLseek");
  MakeFunction(0x000002A8, BADADDR);
  MakeName(0x000005CC, "export_2_sceHttpStorageGetstat");
  MakeDword(0x000005CC);
  MakeName(0x000005E4, "");
  MakeDword(0x000005E4);
  OpOff(0x000005E4, 0, 0);
  MakeName(0x00000318, "sceHttpStorageGetstat");
  MakeFunction(0x00000318, BADADDR);
}

static createRelocs() {
}

