#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00006C1C, "_module_flags");
  MakeDword(0x00006C1C);
  MakeName(0x00006C20, "_module_name");
  MakeStr(0x00006C20, BADADDR);
  MakeName(0x00006C3C, "_module_gp");
  MakeDword(0x00006C3C);
  MakeName(0x00006C40, "_module_exports");
  MakeDword(0x00006C40);
  OpOff(0x00006C40, 0, 0);
  MakeName(0x00006C44, "_module_exp_end");
  MakeDword(0x00006C44);
  OpOff(0x00006C44, 0, 0);
  MakeName(0x00006C48, "_module_imports");
  MakeDword(0x00006C48);
  OpOff(0x00006C48, 0, 0);
  MakeName(0x00006C4C, "_module_imp_end");
  MakeDword(0x00006C4C);
  OpOff(0x00006C4C, 0, 0);
}

static createImports() {
  MakeName(0x00006B8C, "import0");
  MakeDword(0x00006B8C);
  OpOff(0x00006B8C, 0, 0);
  MakeName(0x00006C54, "import0_name");
  MakeStr(0x00006C54, BADADDR);
  MakeName(0x00006B90, "import0_flags");
  MakeDword(0x00006B90);
  MakeName(0x00006B94, "import0_counts");
  MakeDword(0x00006B94);
  MakeName(0x00006B98, "import0_nids");
  MakeDword(0x00006B98);
  OpOff(0x00006B98, 0, 0);
  MakeName(0x00006B9C, "import0_funcs");
  MakeDword(0x00006B9C);
  OpOff(0x00006B9C, 0, 0);
  MakeName(0x00006D18, "import0_sceKernelCreateHeap");
  MakeDword(0x00006D18);
  MakeName(0x00006AAC, "sceKernelCreateHeap");
  MakeFunction(0x00006AAC, BADADDR);
  MakeName(0x00006D1C, "import0_sceKernelDeleteHeap");
  MakeDword(0x00006D1C);
  MakeName(0x00006AB4, "sceKernelDeleteHeap");
  MakeFunction(0x00006AB4, BADADDR);
  MakeName(0x00006D20, "import0_sceKernelGetBlockHeadAddr");
  MakeDword(0x00006D20);
  MakeName(0x00006ABC, "sceKernelGetBlockHeadAddr");
  MakeFunction(0x00006ABC, BADADDR);
  MakeName(0x00006D24, "import0_sceKernelGetGameInfo");
  MakeDword(0x00006D24);
  MakeName(0x00006AC4, "sceKernelGetGameInfo");
  MakeFunction(0x00006AC4, BADADDR);
  MakeName(0x00006D28, "import0_sceKernelAllocPartitionMemory");
  MakeDword(0x00006D28);
  MakeName(0x00006ACC, "sceKernelAllocPartitionMemory");
  MakeFunction(0x00006ACC, BADADDR);
  MakeName(0x00006D2C, "import0_sceKernelFreePartitionMemory");
  MakeDword(0x00006D2C);
  MakeName(0x00006AD4, "sceKernelFreePartitionMemory");
  MakeFunction(0x00006AD4, BADADDR);
  MakeName(0x00006D30, "import0_sceKernelAllocHeapMemory");
  MakeDword(0x00006D30);
  MakeName(0x00006ADC, "sceKernelAllocHeapMemory");
  MakeFunction(0x00006ADC, BADADDR);
  MakeName(0x00006D34, "import0_sceKernelFreeHeapMemory");
  MakeDword(0x00006D34);
  MakeName(0x00006AE4, "sceKernelFreeHeapMemory");
  MakeFunction(0x00006AE4, BADADDR);
  MakeName(0x00006BA0, "import1");
  MakeDword(0x00006BA0);
  OpOff(0x00006BA0, 0, 0);
  MakeName(0x00006C68, "import1_name");
  MakeStr(0x00006C68, BADADDR);
  MakeName(0x00006BA4, "import1_flags");
  MakeDword(0x00006BA4);
  MakeName(0x00006BA8, "import1_counts");
  MakeDword(0x00006BA8);
  MakeName(0x00006BAC, "import1_nids");
  MakeDword(0x00006BAC);
  OpOff(0x00006BAC, 0, 0);
  MakeName(0x00006BB0, "import1_funcs");
  MakeDword(0x00006BB0);
  OpOff(0x00006BB0, 0, 0);
  MakeName(0x00006D38, "import1_strncmp");
  MakeDword(0x00006D38);
  MakeName(0x00006AEC, "strncmp");
  MakeFunction(0x00006AEC, BADADDR);
  MakeName(0x00006BB4, "import2");
  MakeDword(0x00006BB4);
  OpOff(0x00006BB4, 0, 0);
  MakeName(0x00006C80, "import2_name");
  MakeStr(0x00006C80, BADADDR);
  MakeName(0x00006BB8, "import2_flags");
  MakeDword(0x00006BB8);
  MakeName(0x00006BBC, "import2_counts");
  MakeDword(0x00006BBC);
  MakeName(0x00006BC0, "import2_nids");
  MakeDword(0x00006BC0);
  OpOff(0x00006BC0, 0, 0);
  MakeName(0x00006BC4, "import2_funcs");
  MakeDword(0x00006BC4);
  OpOff(0x00006BC4, 0, 0);
  MakeName(0x00006D00, "import2_sceIoClose");
  MakeDword(0x00006D00);
  MakeName(0x00006A7C, "sceIoClose");
  MakeFunction(0x00006A7C, BADADDR);
  MakeName(0x00006D04, "import2_sceIoOpen");
  MakeDword(0x00006D04);
  MakeName(0x00006A84, "sceIoOpen");
  MakeFunction(0x00006A84, BADADDR);
  MakeName(0x00006D08, "import2_sceIoRead");
  MakeDword(0x00006D08);
  MakeName(0x00006A8C, "sceIoRead");
  MakeFunction(0x00006A8C, BADADDR);
  MakeName(0x00006D0C, "import2_sceIoWrite");
  MakeDword(0x00006D0C);
  MakeName(0x00006A94, "sceIoWrite");
  MakeFunction(0x00006A94, BADADDR);
  MakeName(0x00006D10, "import2_sceIoLseek");
  MakeDword(0x00006D10);
  MakeName(0x00006A9C, "sceIoLseek");
  MakeFunction(0x00006A9C, BADADDR);
  MakeName(0x00006D14, "import2_sceIoDevctl");
  MakeDword(0x00006D14);
  MakeName(0x00006AA4, "sceIoDevctl");
  MakeFunction(0x00006AA4, BADADDR);
  MakeName(0x00006BC8, "import3");
  MakeDword(0x00006BC8);
  OpOff(0x00006BC8, 0, 0);
  MakeName(0x00006C98, "import3_name");
  MakeStr(0x00006C98, BADADDR);
  MakeName(0x00006BCC, "import3_flags");
  MakeDword(0x00006BCC);
  MakeName(0x00006BD0, "import3_counts");
  MakeDword(0x00006BD0);
  MakeName(0x00006BD4, "import3_nids");
  MakeDword(0x00006BD4);
  OpOff(0x00006BD4, 0, 0);
  MakeName(0x00006BD8, "import3_funcs");
  MakeDword(0x00006BD8);
  OpOff(0x00006BD8, 0, 0);
  MakeName(0x00006D3C, "import3_sceKernelCreateCallback");
  MakeDword(0x00006D3C);
  MakeName(0x00006AF4, "sceKernelCreateCallback");
  MakeFunction(0x00006AF4, BADADDR);
  MakeName(0x00006D40, "import3_sceKernelDeleteCallback");
  MakeDword(0x00006D40);
  MakeName(0x00006AFC, "sceKernelDeleteCallback");
  MakeFunction(0x00006AFC, BADADDR);
  MakeName(0x00006D44, "import3_sceKernelCreateEventFlag");
  MakeDword(0x00006D44);
  MakeName(0x00006B04, "sceKernelCreateEventFlag");
  MakeFunction(0x00006B04, BADADDR);
  MakeName(0x00006D48, "import3_sceKernelDeleteEventFlag");
  MakeDword(0x00006D48);
  MakeName(0x00006B0C, "sceKernelDeleteEventFlag");
  MakeFunction(0x00006B0C, BADADDR);
  MakeName(0x00006D4C, "import3_sceKernelSetEventFlag");
  MakeDword(0x00006D4C);
  MakeName(0x00006B14, "sceKernelSetEventFlag");
  MakeFunction(0x00006B14, BADADDR);
  MakeName(0x00006D50, "import3_sceKernelWaitEventFlagCB");
  MakeDword(0x00006D50);
  MakeName(0x00006B1C, "sceKernelWaitEventFlagCB");
  MakeFunction(0x00006B1C, BADADDR);
  MakeName(0x00006D54, "import3_sceKernelCreateVpl");
  MakeDword(0x00006D54);
  MakeName(0x00006B24, "sceKernelCreateVpl");
  MakeFunction(0x00006B24, BADADDR);
  MakeName(0x00006D58, "import3_sceKernelDeleteVpl");
  MakeDword(0x00006D58);
  MakeName(0x00006B2C, "sceKernelDeleteVpl");
  MakeFunction(0x00006B2C, BADADDR);
  MakeName(0x00006D5C, "import3_sceKernelTryAllocateVpl");
  MakeDword(0x00006D5C);
  MakeName(0x00006B34, "sceKernelTryAllocateVpl");
  MakeFunction(0x00006B34, BADADDR);
  MakeName(0x00006D60, "import3_sceKernelFreeVpl");
  MakeDword(0x00006D60);
  MakeName(0x00006B3C, "sceKernelFreeVpl");
  MakeFunction(0x00006B3C, BADADDR);
  MakeName(0x00006BDC, "import4");
  MakeDword(0x00006BDC);
  OpOff(0x00006BDC, 0, 0);
  MakeName(0x00006CB0, "import4_name");
  MakeStr(0x00006CB0, BADADDR);
  MakeName(0x00006BE0, "import4_flags");
  MakeDword(0x00006BE0);
  MakeName(0x00006BE4, "import4_counts");
  MakeDword(0x00006BE4);
  MakeName(0x00006BE8, "import4_nids");
  MakeDword(0x00006BE8);
  OpOff(0x00006BE8, 0, 0);
  MakeName(0x00006BEC, "import4_funcs");
  MakeDword(0x00006BEC);
  OpOff(0x00006BEC, 0, 0);
  MakeName(0x00006CF4, "import4_sceKernelGetChunk");
  MakeDword(0x00006CF4);
  MakeName(0x00006A64, "sceKernelGetChunk");
  MakeFunction(0x00006A64, BADADDR);
  MakeName(0x00006CF8, "import4_sceKernelInitApitype");
  MakeDword(0x00006CF8);
  MakeName(0x00006A6C, "sceKernelInitApitype");
  MakeFunction(0x00006A6C, BADADDR);
  MakeName(0x00006CFC, "import4_sceKernelInitFileName");
  MakeDword(0x00006CFC);
  MakeName(0x00006A74, "sceKernelInitFileName");
  MakeFunction(0x00006A74, BADADDR);
  MakeName(0x00006BF0, "import5");
  MakeDword(0x00006BF0);
  OpOff(0x00006BF0, 0, 0);
  MakeName(0x00006CC4, "import5_name");
  MakeStr(0x00006CC4, BADADDR);
  MakeName(0x00006BF4, "import5_flags");
  MakeDword(0x00006BF4);
  MakeName(0x00006BF8, "import5_counts");
  MakeDword(0x00006BF8);
  MakeName(0x00006BFC, "import5_nids");
  MakeDword(0x00006BFC);
  OpOff(0x00006BFC, 0, 0);
  MakeName(0x00006C00, "import5_funcs");
  MakeDword(0x00006C00);
  OpOff(0x00006C00, 0, 0);
  MakeName(0x00006D68, "import5_sceUmdCheckMedium");
  MakeDword(0x00006D68);
  MakeName(0x00006B4C, "sceUmdCheckMedium");
  MakeFunction(0x00006B4C, BADADDR);
  MakeName(0x00006D6C, "import5_sceUmdActivate");
  MakeDword(0x00006D6C);
  MakeName(0x00006B54, "sceUmdActivate");
  MakeFunction(0x00006B54, BADADDR);
  MakeName(0x00006D70, "import5_sceUmdWaitDriveStat");
  MakeDword(0x00006D70);
  MakeName(0x00006B5C, "sceUmdWaitDriveStat");
  MakeFunction(0x00006B5C, BADADDR);
  MakeName(0x00006D74, "import5_sceUmdGetDriveStatus");
  MakeDword(0x00006D74);
  MakeName(0x00006B64, "sceUmdGetDriveStatus");
  MakeFunction(0x00006B64, BADADDR);
  MakeName(0x00006C04, "import6");
  MakeDword(0x00006C04);
  OpOff(0x00006C04, 0, 0);
  MakeName(0x00006CD0, "import6_name");
  MakeStr(0x00006CD0, BADADDR);
  MakeName(0x00006C08, "import6_flags");
  MakeDword(0x00006C08);
  MakeName(0x00006C0C, "import6_counts");
  MakeDword(0x00006C0C);
  MakeName(0x00006C10, "import6_nids");
  MakeDword(0x00006C10);
  OpOff(0x00006C10, 0, 0);
  MakeName(0x00006C14, "import6_funcs");
  MakeDword(0x00006C14);
  OpOff(0x00006C14, 0, 0);
  MakeName(0x00006D64, "import6_sceLfatfsWaitReady");
  MakeDword(0x00006D64);
  MakeName(0x00006B44, "sceLfatfsWaitReady");
  MakeFunction(0x00006B44, BADADDR);
}

static createExports() {
  MakeName(0x00006B74, "export_0");
  MakeDword(0x00006B74);
  MakeName(0x00006B78, "export_0_flags");
  MakeDword(0x00006B78);
  MakeName(0x00006B7C, "export_0_counts");
  MakeDword(0x00006B7C);
  MakeName(0x00006B80, "export_0_exports");
  MakeDword(0x00006B80);
  OpOff(0x00006B80, 0, 0);
  MakeName(0x00006CE4, "export_0_module_start");
  MakeDword(0x00006CE4);
  MakeName(0x00006CEC, "");
  MakeDword(0x00006CEC);
  OpOff(0x00006CEC, 0, 0);
  MakeName(0x00000000, "module_start");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x00006CE8, "export_0_module_info");
  MakeDword(0x00006CE8);
  MakeName(0x00006CF0, "");
  MakeDword(0x00006CF0);
  OpOff(0x00006CF0, 0, 0);
}

static createRelocs() {
}

